diff --git a/wp-content/plugins/reckoning/reckoning.php b/wp-content/plugins/reckoning/reckoning.php
index d8ea213d98..790a56880f 100644
--- a/wp-content/plugins/reckoning/reckoning.php
+++ b/wp-content/plugins/reckoning/reckoning.php
@@ -136,7 +136,10 @@ function display_reckoning_admin_page_individual( $user ) {
 	} else {
 		echo '<h3>' . esc_html( __( 'Total Posts', 'reckoning' ) ) . ': ' . esc_html( count( $posts ) ) . '</h3>';
 		echo "<table class = 'reckoning-table'>";
-		echo "<tr><th colspan='3'>User Posts</th></tr>";
+		echo "<tr><th colspan='4'>User Posts</th></tr>";
+
+		$pending_counts = get_pending_comments_num( wp_list_pluck( $posts, 'ID' ) );
+
 		foreach ( $posts as $post ) :
 			echo '<tr>';
 			preg_match( '/([0-9]{4})-([0-9]{2})-([0-9]{2})/', $post->post_date, $matches );
@@ -146,8 +149,17 @@ function display_reckoning_admin_page_individual( $user ) {
 			echo '</a></td>';
 			echo '<td>' . get_the_category_list( ', ', '', $post->ID ) . '</td>';
 			echo '<td>' . esc_html( $date ) . '</td>';
+
+			echo '<td class="column-comments">';
+			echo '<div class="post-com-count-wrapper">';
+
+			$pending_comments = isset( $pending_counts[ $post->ID ] ) ? $pending_counts[ $post->ID ] : 0;
+			reckoning_comments_bubble( $post->ID, $pending_comments );
+			echo '</div>';
+			echo '</td>';
+
 			echo '</tr>';
-			echo '<tr><td colspan="3">' . wp_kses_post( $post->post_content ) . '</td></tr>';
+			echo '<tr><td colspan="4">' . wp_kses_post( $post->post_content ) . '</td></tr>';
 			endforeach;
 		echo '</table>';
 	}
@@ -308,3 +320,67 @@ foreach ( $users as $user ) :
 	echo '</div>';
 
 } // display_reckoning_admin_page_all
+
+function reckoning_comments_bubble( $post_id, $pending_comments ) {
+	$approved_comments = get_comments_number( $post_id );
+
+	$approved_comments_number = number_format_i18n( $approved_comments );
+	$pending_comments_number  = number_format_i18n( $pending_comments );
+
+	$approved_only_phrase = sprintf( _n( '%s comment', '%s comments', $approved_comments ), $approved_comments_number );
+	$approved_phrase      = sprintf( _n( '%s approved comment', '%s approved comments', $approved_comments ), $approved_comments_number );
+	$pending_phrase       = sprintf( _n( '%s pending comment', '%s pending comments', $pending_comments ), $pending_comments_number );
+
+	// No comments at all.
+	if ( ! $approved_comments && ! $pending_comments ) {
+		printf(
+			'<span aria-hidden="true">&#8212;</span><span class="screen-reader-text">%s</span>',
+			__( 'No comments' )
+		);
+		// Approved comments have different display depending on some conditions.
+	} elseif ( $approved_comments ) {
+		printf(
+			'<a href="%s" class="post-com-count post-com-count-approved"><span class="comment-count-approved" aria-hidden="true">%s</span><span class="screen-reader-text">%s</span></a>',
+			esc_url(
+				add_query_arg(
+					array(
+						'p'              => $post_id,
+						'comment_status' => 'approved',
+					),
+					admin_url( 'edit-comments.php' )
+				)
+			),
+			$approved_comments_number,
+			$pending_comments ? $approved_phrase : $approved_only_phrase
+		);
+	} else {
+		printf(
+			'<span class="post-com-count post-com-count-no-comments"><span class="comment-count comment-count-no-comments" aria-hidden="true">%s</span><span class="screen-reader-text">%s</span></span>',
+			$approved_comments_number,
+			$pending_comments ? __( 'No approved comments' ) : __( 'No comments' )
+		);
+	}
+
+	if ( $pending_comments ) {
+		printf(
+			'<a href="%s" class="post-com-count post-com-count-pending"><span class="comment-count-pending" aria-hidden="true">%s</span><span class="screen-reader-text">%s</span></a>',
+			esc_url(
+				add_query_arg(
+					array(
+						'p'              => $post_id,
+						'comment_status' => 'moderated',
+					),
+					admin_url( 'edit-comments.php' )
+				)
+			),
+			$pending_comments_number,
+			$pending_phrase
+		);
+	} else {
+		printf(
+			'<span class="post-com-count post-com-count-pending post-com-count-no-pending"><span class="comment-count comment-count-no-pending" aria-hidden="true">%s</span><span class="screen-reader-text">%s</span></span>',
+			$pending_comments_number,
+			$approved_comments ? __( 'No pending comments' ) : __( 'No comments' )
+		);
+	}
+}
